* {
  box-sizing: border-box;
}
@font-face {
  font-family: 'UTM-Banque';
  src: url(./font/UTM\ BanqueR.ttf);
}
body {
  font-family: sans-serif;
  /* background-image: url(./image/Background.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top; */
  margin: 0px;
}
.background-hard-yellow {
  background-color: #ffc13b;
}

.background-light-yellow {
  background-color: #fee3a7;
}

.background-top img {
  width: 100%;
}

.item-random-0 {
  top: 50%;
  left: 50%;
}

.item-random-1 {
  top: 65%;
  left: 70%;
}
.item-random-2 {
  top: 71%;
  left: 55%;
}

.item-random-3 {
  top: 35%;
  left: 42%;
}

.item-random-4 {
  top: 29%;
  left: 54%;
}

.item-random-5 {
  top: 63%;
  left: 46.1%;
}

.item-random-6 {
  top: 53%;
  left: 40.5%;
}

.item-random-7 {
  top: 60%;
  left: 60%;
}

.item-random-8 {
  top: 90%;
  left: 40%;
}

.item-random-9 {
  top: 80%;
  left: 20%;
}

.item-random-10 {
  top: 40%;
  left: 80%;
}
.item-random-11 {
  left: 61%;
  top: 87%;
}

.item-random-12 {
  left: 25%;
  top: 32%;
}

.item-random-13 {
  left: 23.1%;
  top: 65%;
}

.item-random-14 {
  left: 60%;
  top: 12%;
}

.item-random-15 {
  left: 74%;
  top: 52%;
}

.item-random-16 {
  left: 36%;
  top: 68%;
}

.item-random-17 {
  left: 33%;
  top: 55%;
}

.item-random-18 {
  left: 37%;
  top: 10%;
}

.item-random-19 {
  left: 22%;
  top: 88%;
}

.item-random-20 {
  left: 67%;
  top: 16%;
}

.item-random-21 {
  left: 79%;
  top: 53%;
}

.item-random-22 {
  left: 26%;
  top: 23%;
}

.item-random-23 {
  left: 62%;
  top: 38%;
}

.item-random-24 {
  left: 32%;
  top: 43%;
}

.item-random-25 {
  left: 35%;
  top: 25%;
}

.item-random-26 {
  left: 50%;
  top: 59%;
}

.item-random-27 {
  left: 17%;
  top: 49%;
}

.item-random-28 {
  left: 60%;
  top: 33%;
}

.item-random-29 {
  left: 38%;
  top: 82%;
}

.item-random-30 {
  left: 31.7%;
  top: 12.6%;
}

.item-random-31 {
  left: 47%;
  top: 15%;
}

.item-random-32 {
  left: 49.7%;
  top: 39.2%;
}

.item-random-33 {
  left: 19%;
  top: 38%;
}

.item-random-34 {
  left: 28%;
  top: 73%;
}

.item-random-35 {
  left: 33%;
  top: 82%;
}

.item-random-36 {
  left: 62%;
  top: 21%;
}

.item-random-37 {
  left: 50%;
  top: 70%;
}

.item-random-38 {
  left: 28%;
  top: 54%;
}

.item-random-39 {
  left: 33%;
  top: 35%;
}

.item-random-40 {
  left: 61.6%;
  top: 75.4%;
}

.item-random-41 {
  left: 62%;
  top: 27%;
}

.item-random-42 {
  left: 24.6%;
  top: 47.5%;
}

.item-random-43 {
  left: 45%;
  top: 43%;
}

.item-random-44 {
  left: 81%;
  top: 32%;
}

.item-random-45 {
  left: 79%;
  top: 62%;
}

.item-random-46 {
  left: 54%;
  top: 35%;
}

.item-random-47 {
  left: 64%;
  top: 44%;
}

.item-random-48 {
  left: 78.8%;
  top: 85%;
}

.item-random-49 {
  left: 42%;
  top: 7%;
}

.item-random-50 {
  left: 39%;
  top: 78%;
}

.item-random-51 {
  left: 45%;
  top: 70%;
}

.item-random-52 {
  left: 13%;
  top: 65%;
}

.item-random-53 {
  left: 45%;
  top: 28%;
}

.item-random-54 {
  left: 68.7%;
  top: 33.1%;
}

.item-random-55 {
  left: 37%;
  top: 40%;
}

.item-random-56 {
  left: 70%;
  top: 24%;
}

.item-random-57 {
  left: 68%;
  top: 75%;
}

.item-random-58 {
  left: 72%;
  top: 78%;
}

.item-random-59 {
  left: 81%;
  top: 74%;
}

.item-random-60 {
  left: 57%;
  top: 28%;
}

.item-random-61 {
  left: 51.2%;
  top: 19.8%;
}

.item-random-62 {
  left: 46%;
  top: 52%;
}

.item-random-63 {
  left: 18%;
  top: 30%;
}

.item-random-64 {
  left: 83%;
  top: 29%;
}

.item-random-65 {
  left: 70%;
  top: 15%;
}

.item-random-66 {
  left: 49%;
  top: 58%;
}

.item-random-67 {
  left: 8%;
  top: 53%;
}

.item-random-68 {
  left: 84%;
  top: 58%;
}

.item-random-69 {
  left: 33%;
  top: 49%;
}

.item-random-70 {
  left: 20%;
  top: 72%;
}

.item-random-71 {
  left: 40%;
  top: 29%;
}

.item-random-72 {
  left: 73%;
  top: 7%;
}

.item-random-73 {
  left: 14%;
  top: 92%;
}

.item-random-74 {
  left: 83%;
  top: 5%;
}

.item-random-75 {
  left: 37%;
  top: 70%;
}

.item-random-76 {
  left: 40%;
  top: 55%;
}

.item-random-77 {
  left: 39%;
  top: 63%;
}

.item-random-78 {
  left: 48%;
  top: 38%;
}

.item-random-79 {
  left: 52%;
  top: 73%;
}

.item-random-80 {
  left: 67%;
  top: 6%;
}

.item-random-81 {
  left: 12%;
  top: 63%;
}

.item-random-82 {
  left: 18%;
  top: 85%;
}

.item-random-83 {
  left: 36%;
  top: 70%;
}

.item-random-84 {
  left: 83%;
  top: 42%;
}

.item-random-85 {
  left: 34%;
  top: 74%;
}

.item-random-86 {
  left: 42%;
  top: 75%;
}

.item-random-87 {
  left: 73%;
  top: 20%;
}

.item-random-88 {
  left: 81%;
  top: 58%;
}

.item-random-89 {
  left: 44%;
  top: 64%;
}

.item-random-90 {
  left: 63%;
  top: 85%;
}

.item-random-91 {
  left: 25%;
  top: 12%;
}

.item-random-92 {
  left: 16%;
  top: 46%;
}

.item-random-93 {
  left: 28%;
  top: 34%;
}

.item-random-94 {
  left: 29%;
  top: 11%;
}

.item-random-95 {
  left: 81%;
  top: 20%;
}

.item-random-96 {
  left: 17%;
  top: 67%;
}

.item-random-97 {
  left: 75%;
  top: 59%;
}

.item-random-98 {
  left: 29%;
  top: 61%;
}

.item-random-99 {
  left: 78%;
  top: 41%;
}

.navigator {
  z-index: 10;
}
.background-top img {
  margin-bottom: -10px;
}
.container-detail {
}
/* ---- grid ---- */

.grid {
  width: 100%;
  /* margin-top: 20vw; */
  background-image: url(./image/background-top.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  min-height: 70vh;
  padding-bottom: 5vh;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

/* clearfix */
.grid:after {
  content: '';
  display: block;
  clear: both;
}

/* ---- grid-item ---- */

.grid-sizer {
  width: 1%;
}

.grid-item {
  width: 50vw;
  float: left;
  margin: 5px;
}

.home .grid-item {
  width: 50vw;
  float: left;
  margin: 0px;
  height: 44.3vw;
}

.tree {
  width: 100%;
  padding: 10px 10px 0px 10px;
}

.tree img {
  width: 100%;
}

.grid-item--5 {
  width: 66vw;
  height: 55.85vw;
}
.grid-item--5 .name {
  font-size: 10px;
}

.grid-item--5 .tree {
}

.grid-item--4 {
  width: 50vw;
  height: 42.52272727vw;
}
.grid-item--4 .name {
  font-size: 8px;
}

.grid-item--4 .tree {
}

.grid-item--3 {
  width: 45vw;
  height: 38.67045455vw;
}
.grid-item--3 .name {
  font-size: 7px;
}

.grid-item--3 .tree {
}

.grid-item--2 {
  width: 35vw;
  height: 30.96590909vw;
}
.grid-item--2 .name {
  font-size: 6px;
}

.grid-item--2 .tree {
}

.grid-item--1 {
  width: 33.333333vw;
  height: 28.425vw;
}
.grid-item--1 .name {
  font-size: 5px;
}

.grid-item--1 .tree {
}

.grid-item--0 {
  width: 33.333333vw;
  height: 28.425vw;
}
.grid-item--0 .name {
  font-size: 5px;
}

.grid-item--0 .tree {
}

.sub-grid {
  width: 100%;
  margin-top: 25vw;
}

.sub-grid .grid-item--1 {
  width: 30vw;
}
.sub-grid .grid-item--1 .name {
  font-size: 14px;
}

.sub-grid .grid-item--1 .tree {
}

.sub-grid .grid-item--2 {
  width: 26vw;
}
.sub-grid .grid-item--2 .name {
  font-size: 12px;
}

.sub-grid .grid-item--2 .tree {
}

.sub-grid .grid-item--3 {
  width: 19vw;
}
.sub-grid .grid-item--3 .name {
  font-size: 10px;
}

.sub-grid .grid-item-- .tree {
}

.zoom0 {
  width: 10px;
  height: 10px;
  font-size: 1px;
  margin-right: 5px;
  margin-bottom: 5px;
  padding: 1px;
}

.zoom1 {
  width: 16px;
  height: 16px;
  font-size: 1px;
  margin-right: 5px;
  margin-bottom: 5px;
  padding: 1px;
}

.zoom2 {
  width: 18px;
  height: 18px;
  font-size: 1px;
  margin-right: 5px;
  margin-bottom: 5px;
  padding: 1px;
}
.zoom3 {
  width: 20px;
  height: 20px;
  font-size: 2px;
  margin-right: 5px;
  margin-bottom: 5px;
  padding: 1px;
}

.zoom4 {
  width: 24px;
  height: 24px;
  font-size: 1.5px;
  margin-right: 8px;
  margin-bottom: 8px;
  padding: 1px;
}

.zoom5 {
  width: 30px;
  height: 30px;
  font-size: 3px;
  margin-right: 20px;
  margin-bottom: 20px;
  padding: 1px;
}

.zoomingDemo .zoomTarget {
  /* background-color: #BAEEFF; */
  box-shadow: 0 0 0.69vw 0.69vw #baeeff77;
  border-radius: 50%;
  text-align: center;
  float: left;
  z-index: 10;
  position: relative;
  font-family: 'UTM-Banque';
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  transform: translate(-50%, -50%);
}

.zoomingDemo {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 65vw;
}

.container-zoom {
  overflow: hidden;
  background-image: url(./image/background-2.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  min-height: 100vh;
  overflow: hidden;
  text-align: center;
  padding-top: 150px;
}
.random-bubble {
  width: 100%;
  display: inline-block;
  position: relative;
}

.main-tree {
  height: 100vh;
  display: none;
}

.main-tree-mobile {
  width: 100%;
}

.navigator {
  position: absolute;
  top: 30px;
  left: 20px;
  display: inline-flex;
  align-items: center;
}

.navigator img {
  max-width: 36px;
}

.navigator .title {
  font-family: 'UTM-Banque';
  font-size: 14px;
  background-image: url(./image/name-tag.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  color: white;
  padding: 30px;
  text-align: center;
  position: relative;
  z-index: 2;
  margin-left: 10px;
}

a:hover,
a:visited,
a:link,
a:active {
  text-decoration: none;
}

.give .title {
  font-family: 'UTM-Banque';
  font-size: 10px;
  background-image: url(./image/name-tag.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  color: white;
  padding: 12px 12px;
  text-align: center;
  position: relative;
  z-index: 2;
  margin-left: 10px;
}

.give {
  display: inline-flex;
  align-items: center;
  z-index: 12;
}
.give-button {
  position: fixed;
  bottom: 20px;
  display: flex;
}

.give-button.year {
  position: fixed;
  bottom: 60px;
  display: flex;
}

.logo {
  position: absolute;
  top: 30px;
  left: 40px;
  display: inline-flex;
  align-items: center;
}

.logo img {
  width: 90px;
}

span {
  display: table-cell;
  vertical-align: middle;
  line-height: normal;
}

.pagination {
  position: absolute;
  top: 75%;
  left: 10px;
  z-index: 10;
}

.pagination img {
  max-width: 36px;
}

.pagination-right {
  position: absolute;
  top: 75%;
  right: 10px;
  z-index: 10;
}

.pagination-right img {
  max-width: 36px;
}

.popup {
  display: inline-block;
  cursor: pointer;
}

.popup .popuptext {
  display: none;
  width: 100%;
  background-color: #000000bd;
  color: #fff;
  text-align: left;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 1;
  bottom: 60px;
  font-family: 'UTM-Banque';
  font-size: 12px;
  box-shadow: 0px 0px 20px 10px #c5fe747c;
}

.popup .show {
  display: block;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

.row1 {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}

.col {
  width: 100%;
  display: flex;
}

.col-61 {
  width: 100%;
  display: flex;
  padding: 20px;
  align-items: center;
}

.col-121 {
  width: 100%;
  display: flex;
  padding: 4px;
  align-items: center;
  justify-content: center;
}

.col-5 {
  font-size: 10px;
  text-align: center;
}

.col-7 {
  font-size: 12px;
}

.progress {
  height: 16px;
  background-color: #c5fe74;
  border-radius: 0px !important;
  width: 80%;
}
.progress-style {
  background-image: url(./image/name-tag.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  padding: 5px;
}
progress {
  margin: 4px 0px 2px 0px;
  text-align: center;
  font-size: 12px;
  height: 16px;
  background-color: #c5fe74;
  border-radius: 0px !important;
  border: none;
  width: 74%;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
  position: relative;
}

progress.progress-custom {
  width: 56%;
}

progress::before {
  content: attr(data-label);
  font-size: 0.8em;
  vertical-align: 1;
  /*Position text over the progress bar */
  position: absolute;
  left: 0;
  right: 0;
  color: #42b1f3;
}

progress::-webkit-progress-bar {
  background-color: #000000;
}

progress::-webkit-progress-value {
  background-color: #c5fe74;
}
@media screen and (min-width: 1500px) {
  .progress-style {
    padding: 12px;
  }
  progress.progress-custom {
    width: 41%;
  }
}
@media screen and (min-width: 768px) {
  .popup .popuptext {
    top: 50%;
    left: 50%;
    width: 90%;
    bottom: unset;
    position: fixed;
    transform: translate(-50%, -50%);
  }
  .row1 {
    flex-direction: row;
  }
  .col-61 {
    width: 50%;
  }
  .give .title {
    font-size: 14px;
  }

  .random-bubble {
    width: auto;
  }

  .zoomingDemo {
    height: 100%;
  }

  .container-zoom {
    height: 100vh;
    padding-top: 0;
  }

  .zoom0 {
    width: 20px;
    height: 20px;
    font-size: 2px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding: 1px;
  }

  .zoom1 {
    width: 25px;
    height: 25px;
    font-size: 2px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding: 1px;
  }

  .zoom2 {
    width: 40px;
    height: 40px;
    font-size: 3px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding: 1px;
  }
  .zoom3 {
    width: 45px;
    height: 45px;
    font-size: 4px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding: 1px;
  }

  .zoom4 {
    width: 50px;
    height: 50px;
    font-size: 5px;
    margin-right: 8px;
    margin-bottom: 8px;
    padding: 1px;
  }

  .zoom5 {
    width: 60px;
    height: 60px;
    font-size: 6px;
    margin-right: 20px;
    margin-bottom: 20px;
    padding: 1px;
  }

  .give-button {
    bottom: unset;
    top: 30px;
    right: 30px;
  }
  
  .give-button.year {
    bottom: unset;
    top: 65px;
    left: 30px;
  }

  .home .grid-item {
    width: 19vw;
    float: left;
    height: 17vw;
  }

  .name {
    font-size: 6px;
  }

  .grid-item--5 {
    width: 30vw;
  }
  .grid-item--5 .name {
    font-size: 11px;
  }

  .grid-item--5 .tree {
  }

  .grid-item--4 {
    width: 30vw;
  }
  .grid-item--4 .name {
    font-size: 9px;
  }

  .grid-item--4 .tree {
  }

  .grid-item--3 {
    width: 25vw;
  }
  .grid-item--3 .name {
    font-size: 8px;
  }

  .grid-item--3 .tree {
  }

  .grid-item--2 {
    width: 22vw;
    height: 12.7125vw;
  }
  .grid-item--2 .name {
    font-size: 7px;
  }

  .grid-item--2 .tree {
  }

  .grid-item--1 {
    width: 18vw;
    height: 16.17vw;
  }
  .grid-item--1 .name {
    font-size: 6px;
  }

  .grid-item--1 .tree {
  }

  .grid-item--0 {
    width: 15vw;
    height: 12.17vw;
  }
  .grid-item--10 .name {
    font-size: 6px;
  }

  .grid-item--0 .tree {
  }
  .main-tree {
    display: block;
  }
  .main-tree-mobile {
    display: none;
  }

  .pagination {
    position: absolute;
    top: 50%;
    left: 10px;
  }
  .pagination-right {
    position: absolute;
    top: 50%;
    right: 10px;
  }
}

@media screen and (min-width: 1200px) {
  .name {
    font-size: 12px;
  }

  .grid-item--5 {
    width: 30vw;
    height: 26.425vw;
  }
  .grid-item--5 .name {
    font-size: 14px;
  }

  .grid-item--5 .tree {
  }

  .grid-item--4 {
    width: 26vw;
    height: 23.035vw;
  }
  .grid-item--4 .name {
    font-size: 12px;
  }

  .grid-item--4 .tree {
  }

  .grid-item--3 {
    width: 19vw;
    height: 17.1025vw;
  }
  .grid-item--3 .name {
    font-size: 10px;
  }

  .grid-item--3 .tree {
  }

  .grid-item--2 {
    width: 15vw;
    height: 13.7125vw;
  }
  .grid-item--2 .name {
    font-size: 8px;
  }

  .grid-item--2 .tree {
  }

  .grid-item--1 {
    width: 12vw;
    height: 11.17vw;
  }
  .grid-item--1 .name {
    font-size: 6px;
  }

  .grid-item--1 .tree {
  }

  .grid-item--0 {
    width: 10vw;
    height: 9.17vw;
  }
  .grid-item--0 .name {
    font-size: 6px;
  }

  .grid-item--0 .tree {
  }
}

.name {
  font-family: 'UTM-Banque';
  background-image: url(./image/name-tag.svg);
  font-size: 8px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  color: white;
  padding: 20px;
  margin-top: -20px;
  text-align: center;
  position: relative;
  z-index: 0;
  text-decoration: none;
  text-transform: uppercase;
}
